curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/summary' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"tenantId": "acme-outdoors",
"storage": "string",
"counts": {
"queued": 1,
"running": 1,
"succeeded": 1,
"failed": 1,
"total": 102
},
"oldestReceivedAt": "2026-08-31T14:22:05Z",
"newestReceivedAt": "2026-08-31T14:22:05Z",
"oldestQueuedReceivedAt": "2026-08-31T14:22:05Z",
"warning": "string"
}
Summarize webhook event state counts for a tenant (dashboard helper).
Webhook event state counts and age for this tenant
GET
/
v1
/
tenants
/
{tenant_id}
/
webhook-events
/
summary
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/summary' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"tenantId": "acme-outdoors",
"storage": "string",
"counts": {
"queued": 1,
"running": 1,
"succeeded": 1,
"failed": 1,
"total": 102
},
"oldestReceivedAt": "2026-08-31T14:22:05Z",
"newestReceivedAt": "2026-08-31T14:22:05Z",
"oldestQueuedReceivedAt": "2026-08-31T14:22:05Z",
"warning": "string"
}
Path parameters
string
required
Tenant identifier
Response
object
string
required
string
required
Which store the summary was computed from (
database or memory)object
required
string (date-time)
string (date-time)
string (date-time)
string
Status codes
| Code | Meaning |
|---|---|
200 | Webhook event state counts and age for this tenant |
401 | Unauthorized |
404 | Tenant not found |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/summary' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"tenantId": "acme-outdoors",
"storage": "string",
"counts": {
"queued": 1,
"running": 1,
"succeeded": 1,
"failed": 1,
"total": 102
},
"oldestReceivedAt": "2026-08-31T14:22:05Z",
"newestReceivedAt": "2026-08-31T14:22:05Z",
"oldestQueuedReceivedAt": "2026-08-31T14:22:05Z",
"warning": "string"
}
Last modified on August 31, 2026